Skip to content
API status
API reference

Redeliver a webhook delivery

POST
/api/v1/organizations/{organizationId}/webhook-deliveries/{deliveryId}/redeliver
curl --request POST \
--url https://api.koneth.com/api/v1/organizations/b7378db4-5a7a-4e69-a8df-04f2e6d94243/webhook-deliveries/8b1d4d7a-4d2e-4b1c-9b26-0d5a1c1f9a11/redeliver \
--header 'Authorization: Bearer <token>'

Queues the stored payload for another delivery attempt with the same event ID.

organizationId
required
string format: uuid

UUID of the organization the signed-in user belongs to.

Example
b7378db4-5a7a-4e69-a8df-04f2e6d94243
deliveryId
required
string format: uuid

UUID of a recorded delivery attempt.

Example
8b1d4d7a-4d2e-4b1c-9b26-0d5a1c1f9a11

Redelivery queued.

Media typeapplication/json
object
accepted
required
boolean
Example
{
"accepted": true
}

The Console session is missing or expired.

Media typeapplication/json
object
error
required
string
issues

Validation issue details when the request fails schema validation.

Array<object>
object
key
additional properties
any
Example
{
"error": "Authentication required"
}

The signed-in user is not an organization Owner or Finance member.

Media typeapplication/json
object
error
required
string
issues

Validation issue details when the request fails schema validation.

Array<object>
object
key
additional properties
any
Example
{
"error": "Insufficient organization permission"
}

Unexpected server error.

Media typeapplication/json
object
error
required
string
issues

Validation issue details when the request fails schema validation.

Array<object>
object
key
additional properties
any
Example
{
"error": "Internal server error"
}